not compatible with python-requests v2 #183

Closed
gtmanfred opened this Issue Sep 26, 2013 · 0 comments

Comments

Projects
None yet
1 participant
@gtmanfred

└─╼ livestreamer http://twitch.tv/day9tv source
Traceback (most recent call last):
File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 2793, in
working_set.require(requires)
File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 673, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 580, in resolve
raise VersionConflict(dist,req) # XXX put more info here
pkg_resources.VersionConflict: (requests 2.0.0 (/usr/lib/python3.3/site-packages), Requirement.parse('requests>=1.0,<2.0'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/livestreamer", line 5, in
from pkg_resources import load_entry_point
File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 2797, in
parse_requirements(requires), Environment()
File "/usr/lib/python3.3/site-packages/pkg_resources.py", line 576, in resolve
raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: requests>=1.0,<2.0

https://bugs.archlinux.org/task/37064

@chrippa chrippa closed this in a2f888c Sep 26, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment